Bug 2939 - Myproxy commands do not provide error message for invalid option
: Myproxy commands do not provide error message for invalid option
Status: RESOLVED FIXED
: MyProxy
MyProxy
: other
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-03-15 04:03 by
Modified: 2009-09-10 17:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-15 04:03:24
Myproxy commands do not provide error message for invalid option except when 
giving invalid option with -.
ie for example:

#./sbin/myproxy-server -d .c /home/config/myproxy-server.config

starting at Tue Mar 15 08:05:23 2005
using storage directory /var/myproxy

The command doesnot give an error with .c which is an invalid option and 
myproxy-server has been started with default myproxy-server.config in 
$GLOBUS_LOCATION/etc/myproxy-server.config.

If we give an invalid option with -, 

for example ./sbin/myproxy-server -d -k /home/config/myproxy-server.config

the command throws error as expected as follows:
 
./sbin/myproxy-server: invalid option  k
Syntax: myproxy-server [-p|-port #] [-c config-file] [-s storage-dir] ...
        myproxy-server [-h|-help] [-version]

   Options
       -h | --help                     Displays usage
       -u | --usage

       -v | --verbose              Display debugging messages
       -V | --version              Displays version
       -d | --debug                Run in debug mode (don't fork)
       -c | --config               Specifies configuration file to use
       -p | --port    <portnumber> Specifies the port to run on
       -P | --pidfile <path>       Specifies a file to write the pid to
       -s | --storage <directory>  Specifies the credential storage directory
------- Comment #1 From 2005-03-15 11:09:35 -------
Thanks. Fixed in CVS. I'll resolve the bug when the fix is released.
------- Comment #2 From 2005-04-11 16:36:49 -------
Fixed in <ftp://ftp.ncsa.uiuc.edu/aces/myproxy/myproxy-1.17.tar.gz>,
which is scheduled to be included in the GT 4.0 release.
------- Comment #3 From 2005-04-22 00:08:30 -------
I have verified the bug with myproxy-1.17.But unfortunately the fix is not 
working for the myproxy-server command.I have checked all the other commands 
and they are giving proper message for invalid option except myproxy-server 
command which I mentioned as a sample in the bugzilla. The server has been 
started though I gave an invalid option as follows:
./sbin/myproxy-server *o -d
starting at Fri Apr 22 07:00:44 2005

using storage directory /var/myproxy


For other commands proper message is thrown as follows:


#./bin/myproxy-change-pass-phrase *o
./bin/myproxy-change-pass-phrase: invalid option -- *o
---
------- Comment #4 From 2005-04-25 10:45:57 -------
Thanks for the follow-up.  I've committed the myproxy-server fix to
the myproxy CVS at NCSA.  It will be included in the next myproxy
release, which will not be in GT 4.0.0, as we've reached code freeze
for that GT release.
------- Comment #5 From 2005-06-08 21:42:34 -------
Fixed in <ftp://ftp.ncsa.uiuc.edu/aces/myproxy/myproxy-2.0.tar.gz>.

$ myproxy-server o -d
myproxy-server: invalid option -- o